#!usr/bin/perl
#musclebatcher.pl
use warnings;
use strict;
use List::UtilsBy qw(extract_by);

print "NOTE: MUSCLE needs to be installed in the same directory as the files that are being read!!\n\n";
print "Please input directory of FASTA-formatted files to read:\n";
my $directory = <STDIN>;
chomp $directory;
$directory =~ s/"|'//g;

if (-d $directory) {
	print "Reading from directory $directory.\n";
}	else {
	print "$directory is not a directory! \n";
	die;
}

chdir $directory;
opendir(DH, $directory);
my @files = readdir(DH);
closedir(DH);
my @fastas = grep(m/.fasta$|.fas$/, @files);	

foreach my $fasta (@fastas) {
	my $outfile = $fasta;
	$outfile =~ s/.fasta/.afa/i;
	my $muscleline = "muscle3.8.31_i86win32 -in $fasta -out $outfile";
	system $muscleline;
}