#!/usr/bin/perl
#clusterIDassigner.pl
use warnings;
use strict;

#the purpose of this program is to simply add a cluster name to each cluster
#the program shifts each header over one entry in CSV format. 


print "Please input merged CSV to input names for: \n";
my $csv = <STDIN>;
$csv =~ s/"//g;
chomp $csv;

open (CSV, "<", $csv) or die "couldn't open file $csv for reading: $!\n";
my $write = $csv;
$write =~ s/.csv/_NAMED.csv/i;
open (WRITE, ">", $write) or die "couldn't open file $write for writing: $!\n";

print "Please input desired prefix, if any: \n";
my $prefix = <STDIN>;
chomp $prefix;

my $i=0;
while (<CSV>) {
	my $line = $_;
	$line =~ s/\s//g;
	chomp $line;
	$i++;
	my $name = "$prefix-Cluster_$i";
	print WRITE $name;
	print WRITE ",";
	print WRITE $line;
	print WRITE "\n";
}